Automette docs

Create a form

POST
/api/v1/forms

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from Settings → API Keys.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/forms" \  -H "Content-Type: application/json" \  -d '{    "title": "Book a free class",    "fields": [      {        "key": "parent_name",        "type": "text",        "label": "Your name",        "required": true      },      {        "key": "parent_email",        "type": "email",        "label": "Email",        "required": true      },      {        "key": "whatsapp",        "type": "tel",        "label": "WhatsApp",        "required": false      },      {        "key": "child_age",        "type": "select",        "label": "How old is your child?",        "required": true,        "options": [          {            "value": "8_9",            "label": "8–9 years"          },          {            "value": "10_11",            "label": "10–11 years"          }        ]      },      {        "key": "message",        "type": "textarea",        "label": "Anything else?",        "required": false      }    ]  }'
{  "id": "cm4frm2xy0001kp04a7c9v1de",  "self": "https://automette.com/api/v1/forms/cm4frm2xy0001kp04a7c9v1de",  "title": "Book a free class",  "status": "draft",  "version": null,  "public_url": null,  "embed_url": null,  "accepting_submissions": false,  "submission_count": 0,  "fields": [    {      "key": "parent_name",      "type": "text",      "label": "Your name",      "required": true    }  ]}